cURL
curl -X GET "https://api.fitsociety.io/public/v1/workout/machine-settings/presets/{exerciseId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/workout/machine-settings/presets/{exerciseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/machine-settings/presets/{exerciseId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"_id": "67f1234567890abcdef1234",
"exerciseId": "67f1234567890abcdef1234",
"scope": "coach",
"companyId": "67f1234567890abcdef1234",
"ownerCoachId": "67f1234567890abcdef1234",
"setupFields": [
{
"key": "seat",
"label": "Seat",
"type": "text",
"unit": "",
"options": [
"1",
"2",
"3",
"4"
],
"order": 1,
"required": false,
"enabled": true,
"defaultValue": 3
}
],
"isArchived": false,
"archivedAt": null,
"createdAt": "2026-04-12T10:00:00.000Z",
"updatedAt": "2026-04-12T10:00:00.000Z"
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Equipment and machine presets
Get resolved exercise setup preset
Requires the workout_settings:read scope and the corresponding Workout features and permissions.
GET
/
public
/
v1
/
workout
/
machine-settings
/
presets
/
{exerciseId}
cURL
curl -X GET "https://api.fitsociety.io/public/v1/workout/machine-settings/presets/{exerciseId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/workout/machine-settings/presets/{exerciseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/machine-settings/presets/{exerciseId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"_id": "67f1234567890abcdef1234",
"exerciseId": "67f1234567890abcdef1234",
"scope": "coach",
"companyId": "67f1234567890abcdef1234",
"ownerCoachId": "67f1234567890abcdef1234",
"setupFields": [
{
"key": "seat",
"label": "Seat",
"type": "text",
"unit": "",
"options": [
"1",
"2",
"3",
"4"
],
"order": 1,
"required": false,
"enabled": true,
"defaultValue": 3
}
],
"isArchived": false,
"archivedAt": null,
"createdAt": "2026-04-12T10:00:00.000Z",
"updatedAt": "2026-04-12T10:00:00.000Z"
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}